Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Mylyn » Trac Connector and Galileo(Can not install the Trac connector on a fresh Galileo Eclipse install)
Trac Connector and Galileo [message #532035] Thu, 06 May 2010 20:27 Go to next message
Mike Pelley is currently offline Mike PelleyFriend
Messages: 9
Registered: May 2010
Location: Ottawa, Ontario, Canada
Junior Member
Love Mylyn - thanks to all the developers! Now, I'll selfishly move on to my minor problem.

I downloaded Eclipse today directly from eclipse.org (not from the Ubuntu repository) and installed a bunch of stuff using the Eclipse "Install New Software" tool from the Galileo update site, including Mylyn. When I look at what is already installed, I see that this is on the list:

Mylyn Task List   3.2.3.v20100217-0100-e3x   org.eclipse.mylyn_feature.feature.group


along with a bunch of other Mylyn stuff. So far everything is working good.

When I click on "Add Repository" the list is empty, so I clicked on "Install More Connectors...". Edgewall Trac is on this list, and that's what we use at my office. Unfortunately, this fails with a big error message:

Cannot complete the install because one or more required items could not be found.
  Software being installed: Mylyn Connector: Trac 3.3.3.v20100330-0100-e3x (org.eclipse.mylyn.trac_feature.feature.group 3.3.3.v20100330-0100-e3x)
  Missing requirement: Mylyn Connector: Trac 3.3.3.v20100330-0100-e3x (org.eclipse.mylyn.trac_feature.feature.group 3.3.3.v20100330-0100-e3x) requires 'org.eclipse.mylyn_feature.feature.group [3.3.0.I20091013,4.0.0)' but it could not be found


Now, it appears that "org.eclipse.mylyn.trac_feature.feature.group 3.3.3.v20100330-0100-e3x" requires "org.eclipse.mylyn_feature.feature.group [3.3.0.I20091013,4.0.0". From my note above, I guess I have "org.eclipse.mylyn_feature.feature.group 3.2.3.v20100217-0100-e3x".

It would seem that the Trac connector I'm trying to download requires a later version of Mylyn than that supplied by the Galileo update site. In my internet searches, I see that I can move to the weekly Mylyn and weekly Trac connector, but I'd rather stick with the normal Galileo "release user" paradigm if possible.

Is there a Trac connector available somehow that would be compatible with my Galileo-sourced Mylyn install?

Thanks very much,
Mike.
Re: Trac Connector and Galileo [message #532069 is a reply to message #532035] Fri, 07 May 2010 04:12 Go to previous messageGo to next message
Steffen Pingel is currently offline Steffen PingelFriend
Messages: 706
Registered: July 2009
Senior Member
You can install the Galileo Trac connector from the archive update site:

http://download.eclipse.org/tools/mylyn/update-
archive/3.2.3/v20100217-0100/extras

Steffen

Mike Pelley wrote:

> Love Mylyn - thanks to all the developers! Now, I'll selfishly move on to
> my minor problem.
>
> I downloaded Eclipse today directly from eclipse.org (not from the Ubuntu
> repository) and installed a bunch of stuff using the Eclipse "Install New
> Software" tool from the Galileo update site, including Mylyn. When I look
> at what is already installed, I see that this is on the list:
>
> Mylyn Task List 3.2.3.v20100217-0100-e3x
> org.eclipse.mylyn_feature.feature.group
>
> along with a bunch of other Mylyn stuff. So far everything is working
> good.
>
> When I click on "Add Repository" the list is empty, so I clicked on
> "Install More Connectors...". Edgewall Trac is on this list, and that's
> what we use at my office. Unfortunately, this fails with a big error
> message:
>
> Cannot complete the install because one or more required items could not
> be found.
> Software being installed: Mylyn Connector: Trac 3.3.3.v20100330-0100-e3x
> (org.eclipse.mylyn.trac_feature.feature.group 3.3.3.v20100330-0100-e3x)
> Missing requirement: Mylyn Connector: Trac 3.3.3.v20100330-0100-e3x
> (org.eclipse.mylyn.trac_feature.feature.group 3.3.3.v20100330-0100-e3x)
> requires 'org.eclipse.mylyn_feature.feature.group
> [3.3.0.I20091013,4.0.0)' but it could not be found
>
> Now, it appears that "org.eclipse.mylyn.trac_feature.feature.group
> 3.3.3.v20100330-0100-e3x" requires
> "org.eclipse.mylyn_feature.feature.group [3.3.0.I20091013,4.0.0". From my
> note above, I guess I have "org.eclipse.mylyn_feature.feature.group
> 3.2.3.v20100217-0100-e3x".
>
> It would seem that the Trac connector I'm trying to download requires a
> later version of Mylyn than that supplied by the Galileo update site. In
> my internet searches, I see that I can move to the weekly Mylyn and weekly
> Trac connector, but I'd rather stick with the normal Galileo "release
> user" paradigm if possible.
>
> Is there a Trac connector available somehow that would be compatible with
> my Galileo-sourced Mylyn install?
>
> Thanks very much,
> Mike.

--
Steffen Pingel
Committer, http://eclipse.org/mylyn
Senior Developer, http://tasktop.com
Re: Trac Connector and Galileo [message #532200 is a reply to message #532069] Fri, 07 May 2010 14:02 Go to previous messageGo to next message
Mike Pelley is currently offline Mike PelleyFriend
Messages: 9
Registered: May 2010
Location: Ottawa, Ontario, Canada
Junior Member
Nice - the Trac connector from that site works with my new Galileo install perfectly!

I guess it would be cool if Galileo worked with Mylyn connectors "out of the box", but this small update-site addition is a much cleaner workaround than most I've found.

Thanks very much - for this and all your other Mylyn work ;o)

Mike.
Re: Trac Connector and Galileo [message #601357 is a reply to message #532069] Fri, 07 May 2010 14:02 Go to previous message
Mike Pelley is currently offline Mike PelleyFriend
Messages: 9
Registered: May 2010
Location: Ottawa, Ontario, Canada
Junior Member
Nice - the Trac connector from that site works with my new Galileo install perfectly!

I guess it would be cool if Galileo worked with Mylyn connectors "out of the box", but this small update-site addition is a much cleaner workaround than most I've found.

Thanks very much - for this and all your other Mylyn work ;o)

Mike.
Previous Topic:Trac Connector and Galileo
Next Topic:WikiText table of contents and section numbering
Goto Forum:
  


Current Time: Sun Dec 21 14:31:05 GMT 2014

Powered by FUDForum. Page generated in 0.10059 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software